package com.bewitched.servlet;

import java.io.*;
import java.net.*;

public class NetTextFile
{
    private String server;
    private String fileKey;
    private final String crlf=""+((char)13)+((char)10);

    public NetTextFile(String server, String fileKey)
    {
        this.server=server;
        this.fileKey=fileKey;
    }

    public StringBuffer read()
    {
        return connect("command=read");
    }

    public StringBuffer write(Object data)
    {
        return connect("command=write&data="+URLEncoder.encode(data.toString()));
    }

    public StringBuffer append(Object data)
    {
        return connect("command=append&data="+URLEncoder.encode(data.toString()));
    }

    private StringBuffer connect(String command)
    {
        try
        {
            URL url=new URL(server+"?"+command+"&file="+fileKey);
            System.out.println("calling: "+url);
            InputStream in=url.openStream();
            DataInputStream data=new DataInputStream(in);
            StringBuffer b=new StringBuffer();
            String line=null;
            int n=0;
            while (null != (line=data.readLine()))
            {
                if (n++>0) b.append(crlf);
                b.append(line);
            }
            data.close();
            in.close();
            return b;
        }
        catch (Exception e)
        {
            return new StringBuffer("error");
        }
    }
}