package com.mw2mw.browser;

import netscape.javascript.*;
import java.applet.Applet;
import java.util.Date;

public class JSWindow
{
	String name;
	int width, height;
	boolean toolbar, location, directories, status, 
		menubar, scrollbars, resizable;
	JSObject mainWindow;

	public JSWindow(int width, int height,
					boolean toolbar,
					boolean location,
					boolean directories,
					boolean status,
					boolean menubar,
					boolean scrollbars,
					boolean resizable,
					Applet applet)
	{
		this.name = "jsw" + (new Date()).getTime();
		this.width = width;
		this.height = height;
		this.toolbar = toolbar;
		this.location = location;
		this.directories = directories;
		this.status = status;
		this.menubar = menubar;
		this.scrollbars = scrollbars;
		this.resizable = resizable;
		try {
			mainWindow = JSObject.getWindow(applet);
		} catch (Exception e) {
			System.err.println(e);
			mainWindow = null;
		}
	}

	public void open(String url)
	{
		try {
			mainWindow.eval("window.open('" + url + "', '" + name + "', "
							+ "'width=" + width + ",height=" + height + ","
							+ "toolbar=" + (toolbar ? "yes" : "no") + ","
							+ "location=" + (location ? "yes" : "no") + ","
							+ "directories=" + (directories ? "yes" : "no") + ","
							+ "status=" + (status ? "yes" : "no") + ","
							+ "menubar=" + (menubar ? "yes" : "no") + ","
							+ "scrollbars=" + (scrollbars ? "yes" : "no") + ","
							+ "resizable=" + (resizable ? "yes" : "no")
							+ "'"
							+ ")");
		} catch (Exception e) {
			System.err.println(e);
		}
	}
}
