package space;

import java.awt.*;

/**
Represents a line segment connecting two points in space.
*/
public class Segment3D
{
    public Point3D begin, end;
    public Color color;
    
    public Segment3D(Point3D begin, Point3D end)
    {
        this(begin,end,Color.gray);
    }
    
    public Segment3D(Point3D begin, Point3D end, Color color)
    {
        this.begin=begin;
        this.end=end;
        this.color=color;
    }
}