package apt;

/**
 *
 * This interface represents a word that has been classified as part
 * of a type of room. It is used to pass information between
 * 2D and 3D representations.
 *
 */ 
public interface TypedWord
{
    /**
     *
     * Return the English word represented by this object.
     *
     */
    public String getWord();
    
    /**
     *
     * Return the room number classification of the word.
     *
     */
    public int getType();
}