package apt.plan3d;

import space.*;

class Sphere
{
    double x,y,z,r,r2;
    
    Sphere(double x, double y, double z, double r)
    {
        this.x=x;
        this.y=y;
        this.z=z;
        this.r=r;
        this.r2=r*r;
    }
    
    Point3D random(ExtendedRandom random)
    {
        Point3D p=random.randomUnit();
        p.scale(r);
        p.x+=x; p.y+=y; p.z+=z;
        return p;
    }
    
    final boolean contains(Point3D p)
    {
        return contains(p.x,p.y,p.z);
    }
    
    final boolean contains(double a, double b, double c)
    {
        return (a-x)*(a-x)+(b-y)*(b-y)+(c-z)*(c-z)<r2;
    }
}