package apt.servlet;

import com.bewitched.servlet.*;
import java.util.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * Print out edit form for apartment data.
 *
 */
public class Edit extends SimpleServlet
{
    protected String propertyFile()
    {
        return "Edit.properties";
    }

    public void print(PrintWriter out)
    {

        out.println(getProperty("header"));

        try
        {
            int count=0;
            File indexFile=new File(ApartmentPath.indexFile());
            BufferedReader r=new BufferedReader(new FileReader(indexFile));
            String line=null;
            out.println("<form action="+
                ServerEnvironment.servletPath("apt.servlet.DoEdit")+">");

            while (null!=(line=r.readLine()))
            {
                if (line.indexOf("title")==0)
                {
                    StringTokenizer t=new StringTokenizer(line, "\t");
                    t.nextToken();
                    String title=t.nextToken();

                    count++;

                    out.println("<input type=checkbox name=title"+count+
                        " value=\""+title+"\">");
                    out.println(title);
                    out.println("</option>");
                    out.println("<p>");
                }
            }
            out.println("<input type=hidden name=count value="+count+">");

            r.close();
        }
        catch (Exception e)
        {
            e.printStackTrace(out);
        }

        out.println(getProperty("footer"));
    }
}
